Package ru.bitel.bgbilling.modules.smarthouse.common.bean

# Class SmartHouseAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHouseAccount

All Implemented Interfaces:
  `Serializable`, `Idable`

public class SmartHouseAccount extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseAccount()`
  `SmartHouseAccount(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.json.JSONObject`
  `dataToJson()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getContractObjectId()`
  `String`
  `getData()`
  `SmartHouseAccountState`
  `getState()`
  `SmartHouseAccountStatus`
  `getStatus()`
  `String`
  `getTitle()`
  `int`
  `getType()`
  `SmartHouseAccount`
  `setComment(String comment)`
  `SmartHouseAccount`
  `setContractId(int contractId)`
  `SmartHouseAccount`
  `setContractObjectId(int contractObjectId)`
  `SmartHouseAccount`
  `setData(String data)`
  `SmartHouseAccount`
  `setState(SmartHouseAccountState state)`
  `SmartHouseAccount`
  `setStatus(SmartHouseAccountStatus status)`
  `SmartHouseAccount`
  `setTitle(String title)`
  `SmartHouseAccount`
  `setType(int type)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseAccount

    public SmartHouseAccount()

  - ### SmartHouseAccount

    public SmartHouseAccount(int id)

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### getType

    public int getType()

  - ### getContractId

    public int getContractId()

  - ### getContractObjectId

    public int getContractObjectId()

  - ### getStatus

    public SmartHouseAccountStatus getStatus()

  - ### getState

    public SmartHouseAccountState getState()

  - ### getComment

    public String getComment()

  - ### getData

    public String getData()

  - ### setTitle

    public SmartHouseAccount setTitle(String title)

  - ### setType

    public SmartHouseAccount setType(int type)

  - ### setContractId

    public SmartHouseAccount setContractId(int contractId)

  - ### setContractObjectId

    public SmartHouseAccount setContractObjectId(int contractObjectId)

  - ### setStatus

    public SmartHouseAccount setStatus(SmartHouseAccountStatus status)

  - ### setState

    public SmartHouseAccount setState(SmartHouseAccountState state)

  - ### setComment

    public SmartHouseAccount setComment(String comment)

  - ### setData

    public SmartHouseAccount setData(String data)

  - ### dataToJson

    public org.json.JSONObject dataToJson()